<?php

namespace Drupal\custom_module\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'user block' block.
 *
 * @Block(
 *   id = "user_block",
 *   admin_label = @Translation("User Block"),
 *
 * )
 */
class UserBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */

  public function build() {
    return array(
    	'#title' => t('User Block'),
      '#description' => 'User with items in cart and unread notifications',
      '#theme' => 'userblock',
    );
  }

}