Drupal.CustomModule = Drupal.CustomModule || {};
Drupal.CustomModule.mobileThreadHold = 1024;
Drupal.CustomModule.megamenuActivated = false;

(function ($, Drupal, drupalSettings) {
  "use strict";

  Drupal.behaviors.kMegaMenuFrontEndAction = {
    attach: function (context) {
      Drupal.CustomModule.addToCart();
      Drupal.CustomModule.test();
      //Drupal.CustomModule.checkedNotifications();
    }
  };

  
  Drupal.CustomModule.test = function(){
    /*if ($('body').hasClass('path-products') ) { 
      var page1 = $('body.path-products div.block-popup-product');
      var att1 = page1.find('select[name="purchased_entity[0][attributes][attribute_size]"]').find(":selected").text();
      var att2 = page1.find('select[name="purchased_entity[0][attributes][attribute_color]"]').find(":selected").text();
      console.log(att1);
      console.log(att2);
    }*/
  };
  
  Drupal.CustomModule.checkedNotifications = function(){
    if ($('body').hasClass('notifications') ) {
    }
    
  };

  Drupal.CustomModule.addToCart = function() {

    if ($('body').hasClass('path-products') ) { 
      var page1 = $('body.path-products div.block-popup-product');
      var page = $('body.path-products');
      page.find('div.view-products div.add-to-cart-btn').once().on('click', function(e) {
        e.preventDefault();
        var pid = page.find('div.block-popup-product div.views-field-product-id span.field-content').text().trim();
        var cal = page1.find('input[name="quantity[0][value]"]').val();
        var size_att = page1.find('select[name="purchased_entity[0][attributes][attribute_size]"]').find(":selected").text();
        var color_att = page1.find('select[name="purchased_entity[0][attributes][attribute_color]"]').find(":selected").text(); 
        //console.log(size_att);
        //console.log(color_att);    
        $.ajax({
          url: '/ajax/koolkids/add-to-cart-custom',
          type: "post",
          data: {
            pid: pid,
            cal: cal,
            size: size_att,
            color: color_att
          },
          success: function (response) {
            if (response == 'done') {
              window.location.href = window.location.href;
            }
          },
          error: function(jqXHR, textStatus, errorThrown) {
          }
        });      
      });
    }
    if($('body').hasClass('path-frontpage') ){
      var page1 = $('body.path-frontpage div.block-popup-product');
      var page = $('body.path-frontpage');
      page.find('div.view-products div.add-to-cart-btn').once().on('click', function(e) {
        e.preventDefault();
        var pid = page.find('div.block-popup-product div.views-field-product-id span.field-content').text().trim();
        var cal = page1.find('input[name="quantity[0][value]"]').val();
        var size_att = page1.find('select[name="purchased_entity[0][attributes][attribute_size]"]').find(":selected").text();
        var color_att = page1.find('select[name="purchased_entity[0][attributes][attribute_color]"]').find(":selected").text();       
        $.ajax({
          url: '/ajax/koolkids/add-to-cart-custom',
          type: "post",
          data: {
            pid: pid,
            cal: cal,
            size: size_att,
            color: color_att
          },
          success: function (response) {
            if (response == 'done') {
              window.location.href = window.location.href;
            }
          },
          error: function(jqXHR, textStatus, errorThrown) {
          }
        });
      });
    }

  };
  
})(jQuery, Drupal, drupalSettings);